MPIR_Type_vector(3)

NAME
MPIR_Type_vector - create a vector datatype

SYNOPSIS
int MPIR_Type_vector(int count,
int blocklength,
MPI_Aint stride,
int strideinbytes, MPI_Datatype oldtype, MPI_Datatype * newtype)

INPUT PARAMETERS
count
    - number of blocks in vector
blocklength
    - number of elements in each block
stride
    - distance from beginning of one block to the next (see next parameter for units)
strideinbytes
    - if nonzero, then stride is in bytes, otherwise stride is in terms of extent of oldtype
oldtype
    - type (using handle) of datatype on which vector is based

OUTPUT PARAMETERS
newtype
    - handle of new vector datatype

RETURN VALUE
0 on success, MPI error code on failure.